## csh 5.26

=== Makefile ===
#	@(#)Makefile	5.24 (Berkeley) 7/1/91
#
# C Shell with process control; VM/UNIX VAX Makefile
# Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
#
# Linux changes by Ken Clark 1/6/93

CFLAGS	= -O3 -s -fstrength-reduce -DFILEC -DNLS \
	  -DSHORT_STRINGS -D__USE_BSD -D__USE_BSD_SIGNAL -I.
# I wanted -fwritable-strings but GCC complained.  Why?  Seems it is not
# needed anyway.

OBJS	= alloc.o char.o const.o csh.o dir.o dol.o err.o exec.o exp.o file.o \
	  func.o glob.o hist.o init.o lex.o misc.o parse.o print.o printf.o \
	  proc.o sem.o set.o str.o time.o

CC	= gcc

csh:	$(OBJS)
	$(CC) -s -o csh $(OBJS)

err.h: 
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	@echo '#ifndef _h_sh_err' >> $@
	@echo '#define _h_sh_err' >> $@
	egrep 'ERR_' $*.c | egrep '^#define' >> $@
	@echo '#endif /* _h_sh_err */' >> $@

# I have included a const.h and err.h.  It seems my sed is broken
# with the new shared libs.  Don't know why.

const.h: 
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	${CC} -E ${CFLAGS} $*.c | egrep 'Char STR' | \
	    sed -e 's/Char \([a-zA-Z0-9_]*\)\(.*\)/extern Char \1[];/' | \
	    sort >> $@

clean: 
	rm -f csh *.o core

## csh 20020413

=== src/bin/csh/Makefile ===
#	$OpenBSD: Makefile,v 1.6 2002/02/17 07:52:38 hugh Exp $
#
# C Shell with process control; VM/UNIX VAX Makefile
# Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
#
# To profile, put -DPROF in DEFS and -pg in CFLAGS, and recompile.

PROG=	csh
DFLAGS=-DBUILTIN -DFILEC -DNLS -DSHORT_STRINGS
#CFLAGS+=-g
#CFLAGS+=-Wall -ansi -pedantic
CFLAGS+=-I${.CURDIR} -I. ${DFLAGS}
SRCS=	alloc.c char.c const.c csh.c dir.c dol.c error.c exec.c exp.c file.c \
	func.c glob.c hist.c init.c lex.c misc.c parse.c printf.c proc.c \
	sem.c set.c str.c time.c
#.PATH:	${.CURDIR}/../../usr.bin/printf

MLINKS=	csh.1 limit.1 csh.1 alias.1 csh.1 bg.1 csh.1 dirs.1 csh.1 fg.1 \
	csh.1 foreach.1 csh.1 history.1 csh.1 jobs.1 csh.1 popd.1 \
	csh.1 pushd.1 csh.1 rehash.1 csh.1 repeat.1 csh.1 suspend.1 \
	csh.1 stop.1 csh.1 source.1 csh.1 unlimit.1
CLEANFILES+=error.h const.h

.if (${MACHINE_ARCH} == "vax")
alloc.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -O0 -c $<
.endif

const.h: error.h

error.h: error.c
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	@echo '#ifndef _h_sh_err' >> $@
	@echo '#define _h_sh_err' >> $@
	egrep 'ERR_' ${.CURDIR}/$*.c | egrep '^#define' >> $@
	@echo '#endif /* _h_sh_err */' >> $@

const.h: const.c
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	${CC} -E ${CFLAGS} ${.CURDIR}/$*.c | egrep 'Char STR' | \
	    sed -e 's/Char \([a-zA-Z0-9_]*\)\(.*\)/extern Char \1[];/' | \
	    sort >> $@

.depend alloc.o: const.h error.h 

.if make(install)
SUBDIR+= USD.doc
.endif

.include <bsd.prog.mk>

## csh 20050313

=== Makefile ===
#	$OpenBSD: Makefile,v 1.7 2003/06/23 16:42:15 deraadt Exp $
#
# C Shell with process control; VM/UNIX VAX Makefile
# Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
#
# To profile, put -DPROF in DEFS and -pg in CFLAGS, and recompile.

PROG=	csh
DFLAGS=-DBUILTIN -DFILEC -DNLS -DSHORT_STRINGS
#CFLAGS+=-g
#CFLAGS+=-Wall -ansi -pedantic
CFLAGS+=-I${.CURDIR} -I. ${DFLAGS}
SRCS=	alloc.c char.c const.c csh.c dir.c dol.c error.c exec.c exp.c file.c \
	func.c glob.c hist.c init.c lex.c misc.c parse.c proc.c \
	sem.c set.c str.c time.c

MLINKS=	csh.1 limit.1 csh.1 alias.1 csh.1 bg.1 csh.1 dirs.1 csh.1 fg.1 \
	csh.1 foreach.1 csh.1 history.1 csh.1 jobs.1 csh.1 popd.1 \
	csh.1 pushd.1 csh.1 rehash.1 csh.1 repeat.1 csh.1 suspend.1 \
	csh.1 stop.1 csh.1 source.1 csh.1 unlimit.1
CLEANFILES+=error.h const.h

.if (${MACHINE_ARCH} == "vax")
alloc.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -O0 -c $<
.endif

const.h: error.h

error.h: error.c
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	@echo '#ifndef _h_sh_err' >> $@
	@echo '#define _h_sh_err' >> $@
	egrep 'ERR_' ${.CURDIR}/$*.c | egrep '^#define' >> $@
	@echo '#endif /* _h_sh_err */' >> $@

const.h: const.c
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	${CC} -E ${CFLAGS} ${.CURDIR}/$*.c | egrep 'Char STR' | \
	    sed -e 's/Char \([a-zA-Z0-9_]*\)\(.*\)/extern Char \1[];/' | \
	    sort >> $@

.depend alloc.o: const.h error.h 

.if make(install)
SUBDIR+= USD.doc
.endif

.include <bsd.prog.mk>

## csh 20070713

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$OpenBSD: Makefile,v 1.7 2003/06/23 16:42:15 deraadt Exp $
+#	$OpenBSD: Makefile,v 1.8 2005/05/24 22:25:46 millert Exp $
 #
 # C Shell with process control; VM/UNIX VAX Makefile
 # Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
@@ -8,7 +8,7 @@
 PROG=	csh
 DFLAGS=-DBUILTIN -DFILEC -DNLS -DSHORT_STRINGS
 #CFLAGS+=-g
-#CFLAGS+=-Wall -ansi -pedantic
+#CFLAGS+=-Wall
 CFLAGS+=-I${.CURDIR} -I. ${DFLAGS}
 SRCS=	alloc.c char.c const.c csh.c dir.c dol.c error.c exec.c exp.c file.c \
 	func.c glob.c hist.c init.c lex.c misc.c parse.c proc.c \

## csh 20110502

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$OpenBSD: Makefile,v 1.8 2005/05/24 22:25:46 millert Exp $
+#	$OpenBSD: Makefile,v 1.10 2010/01/04 17:50:36 deraadt Exp $
 #
 # C Shell with process control; VM/UNIX VAX Makefile
 # Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
@@ -14,10 +14,6 @@
 	func.c glob.c hist.c init.c lex.c misc.c parse.c proc.c \
 	sem.c set.c str.c time.c
 
-MLINKS=	csh.1 limit.1 csh.1 alias.1 csh.1 bg.1 csh.1 dirs.1 csh.1 fg.1 \
-	csh.1 foreach.1 csh.1 history.1 csh.1 jobs.1 csh.1 popd.1 \
-	csh.1 pushd.1 csh.1 rehash.1 csh.1 repeat.1 csh.1 suspend.1 \
-	csh.1 stop.1 csh.1 source.1 csh.1 unlimit.1
 CLEANFILES+=error.h const.h
 
 .if (${MACHINE_ARCH} == "vax")
@@ -44,8 +40,4 @@
 
 .depend alloc.o: const.h error.h 
 
-.if make(install)
-SUBDIR+= USD.doc
-.endif
-
 .include <bsd.prog.mk>

=== debian/changelog ===
csh (20110502-7) unstable; urgency=mediu

  [ Lukas Märdian ]
  * Fix FTBFS with glibc 2.32: sys_siglist[] and sys_sigabbrev[] have been
    deprecated in favor of strsignal()
    - Refresh d/p/09_sys_signame.diff
    - Add d/p/glibc-strsignal.diff
    Closes: #996642

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 08:47:17 +0100

csh (20110502-6) unstable; urgency=medium

  * Patch from Etienne Mollier for FTBFS with gcc10. Closes: #957113
  * Standards-Version: 4.5.0
  * Debhelper level 13

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Jul 2020 09:41:59 +0100

csh (20110502-5) unstable; urgency=medium

  * Fix for segfault on eval. Patch thanks to Keith Thompson, Graham Inggs.
    Closes: #933057
  * Standards-Version: 4.4.0
  * Add vcs and homepage to d/control
  * Use debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Sep 2019 09:10:45 +0100

csh (20110502-4) unstable; urgency=medium

  * Take over as maintainer. Closes: #868691
  * Standards-Version: 4.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Sep 2018 12:49:15 +0100

csh (20110502-3.1) unstable; urgency=medium

  * Nob-maintainer upload
  [ Alastair McKinstry ]
  * Fix FTBFS by misuse of -Werror / #warning in <bsd/vis.h>. Closes: #906457
  * Mark csh as M-A: foreign. Closes: #899199.
  [ Gilles Filippini ]
  * Add patches/13_fix_arithmetic_precedence.diff to fix precedence for
    consecutive ADDOP (+, -) or MULOP (*, /, %) (closes: #862221)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Sep 2018 17:21:24 +0100

csh (20110502-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Bump dh to 10.
  * Fix FTBFS with gcc-7 (Closes: #853361).
  * -Wno-error=unused-result, to work around gcc brain damage
    (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=66425)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 28 Aug 2017 11:46:44 +0200

csh (20110502-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches/12_glibc_union_wait.diff to remove usage of deprecated BSD
    union wait type. Fixes the FTBFS against glibc 2.24 (Closes: #833968).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Sep 2016 18:25:06 +0200

csh (20110502-2.1) unstable; urgency=low

  * Non-maintainer upload.
  [ gregor herrmann ]
  * Fix "FTBFS: Makefile:24: *** missing separator.  Stop.":
    use bmake debhelper addon:
    - d/control: build-depend on bmake (>= 20130730-2)
    - d/rules: use bmake buildsystem, update override_dh_auto_{build,clean}
    (Closes: #718068)

 -- YunQiang Su <syq@debian.org>  Fri, 18 Jul 2014 09:28:44 +0800

csh (20110502-2) unstable; urgency=medium

  * 02_libbsd.diff: Use <bsd/vis.h> rather than <vis.h>.  Closes: #629684.
  * Drop "standard login shell on BSD systems" from the description.
    Thanks to Thorsten Glaser for the suggestion.

 -- Matej Vela <vela@debian.org>  Tue, 05 Jul 2011 14:27:00 +0200

csh (20110502-1) unstable; urgency=low

  * New upstream release.
    - Includes fix for exp2 conflict from #258588.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 8.
  * 01_gnu_source.diff: Remove now-unused `-D__BSD_VISIBLE' (leaving only
    `-D_GNU_SOURCE').
  * 02_libbsd.diff: Remove convenience copies of OpenBSD's strlcpy and vis;
    link to libbsd instead.
  * 08_glob.diff: Remove convenience copy of OpenBSD's glob; refactor
    to avoid any of the areas where BSD and GNU implementations differ
    (GLOB_MAGCHAR, GLOB_NOCHECK, GLOB_NOMAGIC, gl_matchc).
  * 11_groff_schar.diff: Make footnote marks legible in csh.txt.
  * debian/copyright:
    - Include full license text instead of referring to
      /usr/share/common-licenses/BSD.
    - Switch to machine-readable format (DEP-5).
  * debian/rules (get-orig-source):
    - Derive version from last-modified time rather than current date.
    - Clean up temporary directory in case of errors.
  * Conforms to Standards version 3.9.2.

 -- Matej Vela <vela@debian.org>  Fri, 13 May 2011 22:54:42 +0200

csh (20070713-2) unstable; urgency=medium

  * _glob.c (globextend): Use sysconf(_SC_ARG_MAX) rather than ARG_MAX.
    Closes: #518860.
  * Switch to debhelper 7.
  * debian/doc-base: Update section to Shells.
  * debian/postinst, debian/prerm: Use which rather than type.
  * Conforms to Standards version 3.8.0.

 -- Matej Vela <vela@debian.org>  Mon, 09 Mar 2009 09:15:35 +0100

csh (20070713-1) unstable; urgency=low

  * New upstream release.
  * debian/menu: Move to Applications/Shells.

 -- Matej Vela <vela@debian.org>  Fri, 13 Jul 2007 23:52:21 +0200

csh (20060813-1) unstable; urgency=low

  * New upstream release.
  * Switch to cdbs.
  * csh.c, csh.h, debian/preinst: Remove potato compatibility code.
  * debian/postinst: Invoke add-shell unconditionally, to handle the case
    where the package is re-installed after being removed.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 13 Aug 2006 15:53:42 +0200

csh (20060413-1) unstable; urgency=low

  * New upstream release.
  * Since glibc is broken with respect to GLOB_NOMAGIC and backslashes
    (and its maintainers refuse to see the light), switch back to BSD's
    implementation of glob.  Closes: #220170.
  * Incidentally, this removes the need to reimplement glob_t.gl_matchc,
    fixing a bug that was causing `No match' errors when some patterns did
    match and some didn't.  Closes: #350869.
  * Prefix BSD libc sources (glob.c, strlcpy.c, vis.c) with an underscore
    to avoid a conflict with our own glob.c.
  * _glob.c (globtilde): Replace issetugid with calls to get{e,}{u,g}id.
  * Use add-shell and remove-shell.  Closes: #361544.
  * Switch to debhelper 5.
  * debian/copyright: Document `debian/rules get-orig-source'.
  * debian/doc-base: Rephrase abstract.
  * debian/rules: Set CVS_RSH to ssh.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 13 Apr 2006 18:48:29 +0200

csh (20050313-1) unstable; urgency=low



=== debian/control ===
Source: csh
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 4.5.0
Homepage: https://www.openbsd.org/cgi-bin/cvsweb/src/bin/csh/
Vcs-Browser: https://salsa.debian.org:/mckinstry/bsd-csh.git
Vcs-Git: https://salsa.debian.org:/mckinstry/bsd-csh.git
Build-Depends: debhelper-compat (= 13),
  groff, 
  libbsd-dev, 
  bmake (>= 20130730-2)

Package: csh
Architecture: any
Multi-Arch: foreign
Provides: c-shell
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shell with C-like syntax
 The C shell was originally written at UCB to overcome limitations in the
 Bourne shell.  Its flexibility and comfort (at that time) quickly made it
 the shell of choice until more advanced shells like ksh, bash, zsh or
 tcsh appeared.  Most of the latter incorporate features original to csh.
 .
 This package is based on current OpenBSD sources.

=== debian/rules ===
#!/usr/bin/make -f

# Standard options minus `-Wall', since upstream uses `-Werror'.
# Use -w to disable -Werror, due to #warning misuse in <bsd/vis.h>
export CFLAGS := -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)  -w -fcommon

%:
	dh $@ --buildsystem=bmake

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- -C USD.doc paper.ps paper.txt

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -- -C USD.doc

override_dh_auto_install:
	install -D csh debian/csh/bin/bsd-csh
	install -D -m 644 USD.doc/paper.txt debian/csh/usr/share/doc/csh/csh.txt
	install -D -m 644 USD.doc/paper.ps debian/csh/usr/share/doc/csh/csh.ps
	install -D -m 644 -p csh.1 debian/csh/usr/share/man/man1/bsd-csh.1

export CVSROOT := anoncvs@anoncvs.openbsd.org:/cvs
export CVS_RSH := ssh

get-orig-source:
	set -ex; \
	tmpdir=`mktemp -d`; \
	trap 'rm -rf "$$tmpdir"' EXIT; \
	cd "$$tmpdir"; \
	cvs export -r HEAD src/bin/csh; \
	ver=`find -type f -printf '%TY%Tm%Td\n' | sort -r | head -n 1`; \
	mv src/bin/csh csh-$$ver.orig; \
	GZIP=-9 tar czf $(CURDIR)/csh_$$ver.orig.tar.gz csh-$$ver.orig

.PHONY: get-orig-source

## csh 20230828

=== debian/changelog ===
csh (20230828-1) unstable; urgency=medium

  * New snapshot from upstream 
    - Closes: #933057
  * Take maintainesrhip. Closes: #1049952
  * Patches updated:
    - 12_glibc_union_wait.diff now upstream
    - pointer_deref_comparison.patch merged upstream
  * Add d/gpb.conf file
  * Point Vcs-Git to DEP-14 branch names
  * Standards-Version: 4.6.2
  * Fix for FTCBFS by Helmut Grohe: Closes: #945058
  * Build-dep on publib for xfree,etc.
  * Clean up to allow repeat builds. Closes: #1044860

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Aug 2023 10:54:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+ 
+include /usr/share/dpkg/buildtools.mk
+export CC
 
 # Standard options minus `-Wall', since upstream uses `-Werror'.
 # Use -w to disable -Werror, due to #warning misuse in <bsd/vis.h>
@@ -14,6 +18,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean -- -C USD.doc
+	rm -f *.cat1
 
 override_dh_auto_install:
 	install -D csh debian/csh/bin/bsd-csh

## csh 20240808

=== debian/changelog ===
csh (20240808-4) unstable; urgency=medium

  * Redo std23 patch; use c17 with gcc15; int/bool issue breaks
    third-party codes. Closes: #1097439
	
 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Nov 2025 16:12:49 +0000

csh (20240808-3) unstable; urgency=medium

  * Fix FTBFS with std23 C. (std23.diff). Closes: #1096486
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:09:27 +0100

csh (20240808-2) unstable; urgency=medium

  * Fix inconsistent declaration that breaks 32-bit builds (g++-14 patch)
    Closes: #1078737

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Aug 2024 09:12:42 +0100

csh (20240808-1) unstable; urgency=medium

  * New git snapshot. Includes timespec changes needed for clean g++14
    build
  * g++-14.patch: Fix FTBFS with g++-14. Closes: #1074892

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Aug 2024 12:02:13 +0100

csh (20230828-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install programs into /usr/bin. (Closes: #1073599)
  * Fix urgency of changelog entry 20110502-7.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 01:27:48 +0200

csh (20110502-7) unstable; urgency=medium

  [ Lukas Märdian ]
  * Fix FTBFS with glibc 2.32: sys_siglist[] and sys_sigabbrev[] have been
    deprecated in favor of strsignal()
    - Refresh d/p/09_sys_signame.diff
    - Add d/p/glibc-strsignal.diff
    Closes: #996642

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 08:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: csh
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.5.0
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 4.7.2
 Homepage: https://www.openbsd.org/cgi-bin/cvsweb/src/bin/csh/
 Vcs-Browser: https://salsa.debian.org:/mckinstry/bsd-csh.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/bsd-csh.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/bsd-csh.git -b debian/latest
 Build-Depends: debhelper-compat (= 13),
   groff, 
   libbsd-dev, 
+  publib-dev,
   bmake (>= 20130730-2)
 
 Package: csh

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
- 
+
 include /usr/share/dpkg/buildtools.mk
 export CC
 
 # Standard options minus `-Wall', since upstream uses `-Werror'.
 # Use -w to disable -Werror, due to #warning misuse in <bsd/vis.h>
-export CFLAGS := -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)  -w -fcommon
+export CFLAGS := -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)  -w -fcommon -std=c17
 
 %:
 	dh $@ --buildsystem=bmake
@@ -21,7 +21,7 @@
 	rm -f *.cat1
 
 override_dh_auto_install:
-	install -D csh debian/csh/bin/bsd-csh
+	install -D csh debian/csh/usr/bin/bsd-csh
 	install -D -m 644 USD.doc/paper.txt debian/csh/usr/share/doc/csh/csh.txt
 	install -D -m 644 USD.doc/paper.ps debian/csh/usr/share/doc/csh/csh.ps
 	install -D -m 644 -p csh.1 debian/csh/usr/share/man/man1/bsd-csh.1

## csh glibc2-5.26p2

=== src/Makefile ===
#	@(#)Makefile	5.24 (Berkeley) 7/1/91
#
# C Shell with process control; VM/UNIX VAX Makefile
# Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
#
# Linux changes by Ken Clark 1/6/93
# linux/glibc2 changes by ivak@metallica.com, 00-01-18

CFLAGS	= -s -O3 -fstrength-reduce -DFILEC -DNLS -DSHORT_STRINGS

OBJS	= alloc.o char.o const.o csh.o dir.o dol.o err.o exec.o exp.o file.o \
	  func.o glob.o hist.o init.o lex.o misc.o parse.o print.o printf.o \
	  proc.o sem.o set.o str.o time.o

CC	= gcc

csh:	$(OBJS)
	$(CC) -s -o csh $(OBJS)

err.h: 
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	@echo '#ifndef _h_sh_err' >> $@
	@echo '#define _h_sh_err' >> $@
	egrep 'ERR_' $*.c | egrep '^#define' >> $@
	@echo '#endif /* _h_sh_err */' >> $@

const.h: 
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	${CC} -E ${CFLAGS} $*.c | egrep 'Char STR' | \
	    sed -e 's/Char \([a-zA-Z0-9_]*\)\(.*\)/extern Char \1[];/' | \
	    sort >> $@

clean: 
	rm -f csh *.o core

## csh ldap-1.1.0.dev21

=== requirements.txt ===
pyldap
